> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Insurance Coverage

> Add a new insurance coverage to a patient's chart.



## OpenAPI

````yaml post /user/patient/{patient_id}/insurance-coverages
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/{patient_id}/insurance-coverages:
    post:
      tags:
        - Patient Insurance
      summary: Create Insurance Coverage
      description: Add a new insurance coverage to a patient's chart.
      operationId: >-
        create_insurance_coverage_user_patient__patient_id__insurance_coverages_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: patient_id
          in: path
          required: true
          schema:
            type: string
            title: Patient Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InsuranceCoverageCreate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InsuranceCoverageSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InsuranceCoverageCreate:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        patientId:
          type: string
          title: Patientid
        pverifyCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Pverifycode
        memberId:
          type: string
          title: Memberid
        inNetwork:
          type: boolean
          title: Innetwork
        isPrimary:
          type: boolean
          title: Isprimary
        insurerName:
          type: string
          title: Insurername
        policyHolderName:
          type: string
          title: Policyholdername
        policyHolderDob:
          type: string
          format: date
          title: Policyholderdob
        groupId:
          anyOf:
            - type: string
            - type: 'null'
          title: Groupid
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
        coverageType:
          anyOf:
            - type: string
            - type: 'null'
          title: Coveragetype
        planName:
          anyOf:
            - type: string
            - type: 'null'
          title: Planname
        planType:
          anyOf:
            - type: string
            - type: 'null'
          title: Plantype
        effectiveDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Effectivedate
        effectiveTo:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Effectiveto
        eligibilityNote:
          anyOf:
            - type: string
            - type: 'null'
          title: Eligibilitynote
        claimsAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Claimsaddress
      type: object
      required:
        - patientId
        - memberId
        - inNetwork
        - isPrimary
        - insurerName
        - policyHolderName
        - policyHolderDob
      title: InsuranceCoverageCreate
    InsuranceCoverageSummary:
      properties:
        id:
          type: string
          title: Id
        patientId:
          type: string
          title: Patientid
        inNetwork:
          type: boolean
          title: Innetwork
        pverifyCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Pverifycode
        memberId:
          type: string
          title: Memberid
        isPrimary:
          type: boolean
          title: Isprimary
        insurerName:
          type: string
          title: Insurername
        policyHolderName:
          type: string
          title: Policyholdername
        policyHolderDob:
          type: string
          format: date
          title: Policyholderdob
        groupId:
          anyOf:
            - type: string
            - type: 'null'
          title: Groupid
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
        coverageType:
          anyOf:
            - type: string
            - type: 'null'
          title: Coveragetype
        planName:
          anyOf:
            - type: string
            - type: 'null'
          title: Planname
        planType:
          anyOf:
            - type: string
            - type: 'null'
          title: Plantype
        effectiveDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Effectivedate
        effectiveTo:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Effectiveto
        eligibilityNote:
          anyOf:
            - type: string
            - type: 'null'
          title: Eligibilitynote
        claimsAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Claimsaddress
      type: object
      required:
        - id
        - patientId
        - inNetwork
        - memberId
        - isPrimary
        - insurerName
        - policyHolderName
        - policyHolderDob
        - groupId
        - phoneNumber
      title: InsuranceCoverageSummary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````